<?php

define( 'INSIDE', true );

chdir( '../../' );

require_once( './includes/init.php' );
$user = user::singleton();

if( !$user->getRight('danis_gallery' ) ) {
	die( $lang['admin_access_denied'] );
}

if( empty( $_GET['gallery'] ) || !file_exists( './images/danis_gallery/' . urldecode( $_GET['gallery'] ) ) || !is_writable( './images/danis_gallery/' . urldecode( $_GET['gallery'] ) ) ) die(); /* die( $lang['admin_error_gallery'] ); */

$gall = urldecode( $_GET['gallery'] );

if( isset( $_FILES['image'] ) ) {
	if( $_FILES['image']['error'] == 0 ) {
		//$time = time_utc();
		$time = ( is_numeric( $_POST['imgtime'] ) ) ? $_POST['imgtime'] : time_utc() * 1000;
		$size = getimagesize( $_FILES['image']['tmp_name'] );
		if( $size['mime'] = 'images/jpeg' ) {
			$image = imagecreatefromjpeg( $_FILES['image']['tmp_name'] );
		} elseif( $size['mime'] = 'image/gif' ) {
			$image = imagecreatefromgif( $_FILES['image']['tmp_name'] );
		} elseif( $site['mime'] = 'image/png' ) {
			$image = imagecreatefrompng( $_FILES['image']['tmp_name'] );
		} else die( '<html><head>
			<script>
				var par = window.parent.document;
				var images = par.getElementById(\'images_container}\');
				var imgdiv = images.getElementsByTagName(\'div\')[' . (int)$_POST['imgnum'] . '];
				images.removeChild(imgdiv);
			</script>
			</head>
			<body>hidden
			</body></html>');
		if( $size[1] > 768 || $size[0] > 1024 ) {
			if( $size[1]*4/3 >= $size[0] ) {
				$diff = $size[1] / 768;
			} else {
				$diff = $size[0] / 1024;
			}
			$newsize[1] = floor( $size[1] / $diff );
			$newsize[0] = floor( $size[0] / $diff );
			$newimg = imagecreatetruecolor( $newsize[0], $newsize[1] );
			imagecopyresized( $newimg, $image, 0, 0, 0, 0, $newsize[0], $newsize[1], $size[0], $size[1] );
		}
		if( isset( $newimg ) ) {
			imagejpeg( $newimg, './images/danis_gallery/' . $gall . '/' . $time . '.jpg' );
			imagedestroy( $newimg );
		} else {
			imagejpeg( $image, './images/danis_gallery/' . $gall . '/' . $time . '.jpg' );
		}
		if( $size[1] * 4 / 3 >= $size[0] ) {
			$diff = $size[1] / 111;
		} else {
			$diff = $size[0] / 150;
		}
		$thumpsize[1] = floor($size[1]/$diff);
		$thumpsize[0] = floor($size[0]/$diff);
		$thump = imagecreatetruecolor( $thumpsize[0], $thumpsize[1] );
		imagecopyresized( $thump, $image, 0, 0, 0, 0, $thumpsize[0], $thumpsize[1], $size[0], $size[1] );
		imagejpeg( $thump, './images/danis_gallery/' . $gall . '/thumps/' . $time . '.jpg' );
		imagedestroy( $image );
		imagedestroy( $thump );
		unlink( $_FILES['image']['tmp_name'] );
		?>
			<html><head><script>
			var par = window.parent.document;
			var images = par.getElementById('images_container');
			var imgdiv = images.getElementsByTagName('div')[<?=(int)$_POST['imgnum']?>];
			var image = imgdiv.getElementsByTagName('img')[0];
			imgdiv.removeChild(image);
			var image_new = par.createElement('img');
			image_new.src = '<?= site_true_home( 2 ) . '/images/danis_gallery/' . $gall . '/thumps/' . $time . '.jpg' ?>';
			image_new.className = 'loaded';
			imgdiv.appendChild(image_new);
			
			// Whee, create a delete link
			var br = par.createElement('br');
			imgdiv.appendChild(br);
			var a_del = par.createElement('a');
			a_del.href = '<?= site_true_home( 2 ) . '/admin.php?site=gallery&action=delete_image&gallery=' . urlencode( $gall ) . '&image=' . $time ?>';
			a_del.onclick = function() { return confirm('<?= $lang['admin_gallery_image_delete_question'] ?> '); };
			var image_del = par.createElement('img');
			image_del.src = '<?= site_true_home( 2 ) . '/templates/admin/images/delete.png' ?>';
			image_del.className = 'delete';
			a_del.appendChild(image_del);
			imgdiv.appendChild(a_del);
			</script></head>
			</html>
		<?php
	} else {
		?>
			<html><head>
			<script>
				var par = window.parent.document;
				var images = par.getElementById('images_container');
				var imgdiv = images.getElementsByTagName('div')[<?=(int)$_POST['imgnum']?>];
				images.removeChild(imgdiv);
			</script>
			</head>
			<body>hidden
			</body></html>
		<?php
	}
	exit();
} elseif( !empty( $_POST['imgnum'] ) ) {
	?>
		<html><head>
		<script>
			var par = window.parent.document;
			var images = par.getElementById('images_container');
			var imgdiv = images.getElementsByTagName('div')[<?=(int)$_POST['imgnum']?>];
			images.removeChild(imgdiv);
		</script>
		</head>
		<body>hidden
		</body></html>
	<?php
}

?>
<html><head>
<script language="javascript">
function upload(){
	var par = window.parent.document;

	// hide old iframe
	var iframes = par.getElementsByTagName('iframe');
	var iframe = iframes[iframes.length - 1];
	iframe.className = 'hidden';

	// create new iframe
	var new_iframe = par.createElement('iframe');
	new_iframe.src = '<?= url() . 'upload.php?gallery=' . $gall ?>';
	new_iframe.frameBorder = '0';
	par.getElementById('iframe_container').appendChild(new_iframe);

	// add image progress
	var images = par.getElementById('images_container');
	var new_div = par.createElement('div');
	var new_img = par.createElement('img');
	new_img.src = '<?= url() . 'templates/images/indicator.gif' ?>';
	new_img.className = 'load';
	new_div.appendChild(new_img);
	images.appendChild(new_div);
	
	// send
	var imgnum = images.getElementsByTagName('div').length - 1;
	document.iform.imgnum.value = imgnum;
	var imgtime = new Date();
	document.iform.imgtime.value = imgtime.getTime();
	setTimeout("document.iform.submit()",5000);
}
</script>
<style>
#file {
	width: 350px;
}
</style>
<head><body><center>
<form name="iform" action="" method="post" enctype="multipart/form-data">
<input id="file" type="file" name="image" onclick="upload()" /><br />
<!-- <input type="submit" name="submit" value="<?= $lang['admin_gallery_upload'] ?>" onclick="upload()" /> -->
<input type="hidden" name="imgnum" />
<input type="hidden" name="imgtime" />
</form>
</center></html>
<?php

	session_write_close(); // This is required at the end of every standalone script, oterwise your session data won't be saved.
	$db->disconnect(); // And especially important: close mysql __after__ session_write_close.

?>
